메인 콘텐츠로 건너뛰기
POST
/
v1
/
server
/
payments
/
bulk
벌크 결제 등록
curl --request POST \
  --url https://sdk-api.playcamp.io/v1/server/payments/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payments": [
    {
      "userId": "<string>",
      "transactionId": "<string>",
      "productId": "<string>",
      "amount": 1.01,
      "currency": "<string>",
      "platform": "iOS",
      "distributionType": "MOBILE_STORE",
      "purchasedAt": "2023-11-07T05:31:56Z",
      "productName": "<string>"
    }
  ],
  "callbackId": "<string>",
  "isTest": false
}
'
{
  "data": {
    "totalRequested": 123,
    "successful": 123,
    "failed": 123,
    "skipped": 123,
    "results": [
      {
        "transactionId": "<string>",
        "status": "SUCCESS",
        "data": {
          "id": 123,
          "transactionId": "<string>",
          "userId": "<string>",
          "productId": "<string>",
          "productName": "<string>",
          "amount": 123,
          "currency": "<string>",
          "amountUsd": 123,
          "platform": "iOS",
          "distributionType": "MOBILE_STORE",
          "status": "COMPLETED",
          "campaignId": "<string>",
          "creatorKey": "<string>",
          "purchasedAt": "2023-11-07T05:31:56Z",
          "createdAt": "2023-11-07T05:31:56Z"
        },
        "error": "<string>"
      }
    ]
  }
}

인증

Authorization
string
header
필수

Server API Key (format: {keyId}:{secret})

본문

application/json
payments
object[]
필수
Maximum array length: 1000
callbackId
string

웹훅 추적용 ID

isTest
boolean
기본값:false

테스트 모드 (실제 데이터 생성 안 함)

응답

성공

data
object
필수

벌크 결제 결과